# $Revision: 1.10 $, $Date: 2005/10/05 20:59:19 $
%include	/usr/lib/rpm/macros.php
%define		_class		XML
%define		_subclass	Wddx
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - Wddx pretty serializer and deserializer
Summary(pl):	%{_pearname} - przyzwoity serializer i deserializer Wddx
Name:		php-pear-%{_pearname}
Version:	1.0.1
Release:	2
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	6512882461a3b9da49382be1baf1f1e3
URL:		http://pear.php.net/package/XML_Wddx/
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
Requires:	php-pear
Requires:	php-pear-XML_Parser >= 1.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML_Wddx does 2 things:
- a drop in replacement for the XML_Wddx extension (if it's not built
  in)
- produce an editable wddx file (with indenting etc.) and uses CDATA,
  rather than char tags

This package contains 2 static method:
- XML_Wddx:serialize($value)
- XML_Wddx:deserialize($value)

And should be 90% compatible with wddx_deserialize(), and the
deserializer will use wddx_deserialize if it is built in.

No support for recordsets is available at present in the PHP version
of the deserializer.

In PEAR status of this package is: %{_status}.

%description -l pl
XML_Wddx robi dwie rzeczy:
- zastpuje rozszerzenie XML_Wddx (jeli nie jest wbudowane)
- tworzy edytowalny plik wddx (z wciciami itp.) i uywa CDATA zamiast
  znacznikw znakowych

Ten pakiet zawiera 2 statyczne metody:
- XML_Wddx:serialize($value)
- XML_Wddx:deserialize($value)

i powinien by w 90% kompatybilny z wddx_deserialize(), a deserializer
bdzie uywa wddx_deserialize jeli zostao wbudowane.

Aktualnie nie ma obsugi dla zbiorw rekordw w wersji PHP
deserializera.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-XML_Wddx.spec,v $
Revision 1.10  2005/10/05 20:59:19  glen
- rel 2

Revision 1.9  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.8  2005/10/01 00:44:20  glen
- new pear packaging

Revision 1.7  2005/03/30 06:10:40  adamg
- updated to 1.0.1

Revision 1.6  2004/12/04 14:29:44  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.5  2004/10/31 21:53:11  paladine
- spaces->tabs
- formatting

Revision 1.4  2004/08/13 17:03:44  adamg
- updated to 1.0.0 (stable)

Revision 1.3  2004/05/30 13:13:54  adamg
- fixed english information about status of the package

Revision 1.2  2004/03/29 18:16:43  qboosh
- pl

Revision 1.1  2004/03/29 15:32:17  adamg
- initial import
